Subject: Re: bug#38394: Fwd: Use different image filtering when zooming in vs zooming out

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 02 Aug 2020 19:52:25 +0200

Alan Third <[email-masked]> writes:

> It might be worth smoothing on scaling down, but not on scaling up.
> That way if you zoom in you get exact pixels, but zooming out you
> don’t get aliasing effects.
>
> I don’t know if that would add any other problems...

You apparently didn't apply this patch?

[...]

> * src/image.c (image_set_transform [HAVE_XRENDER]): Use different filter
> when zooming in vs zooming out.

I think it makes sense...  although I'm not sure of what the effects are
if you just increase the image size by, say, a couple percent.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no